<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public string $migration;
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        \kernel\App::$db->schema->create('card_template', function (Blueprint $table) {
            $table->increments('id')->from(105545);
            $table->string('path')->nullable(false);
            $table->string('title')->nullable(false);

            $table->integer('status')->default(1);
            $table->timestamps();
        });

        \kernel\App::$db->schema->create('card_file', function (Blueprint $table) {
            $table->increments('id');
            $table->string('file')->nullable(false);
            $table->integer('card_id')->nullable(false);

            $table->integer('status')->default(1);
            $table->timestamps();
        });

        \kernel\App::$db->schema->create('card', function (Blueprint $table) {
            $table->increments('id')->from(105545);
            $table->integer('user_id')->nullable(false);
            $table->integer('balance')->nullable(false)->default(0);
            $table->integer('payment_type')->nullable(false);
            $table->integer('bank_id')->nullable(false);
            $table->integer('info')->nullable(false);
            $table->integer('program')->nullable(false);
            $table->integer('cvc')->nullable(false);
            $table->integer('pin')->nullable(false);
            $table->string('username')->nullable();
            $table->integer('card_template_id')->nullable();
            $table->integer('card_file_id')->nullable();

            $table->integer('status')->default(1);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        \kernel\App::$db->schema->dropIfExists('card');
        \kernel\App::$db->schema->dropIfExists('card_template');
        \kernel\App::$db->schema->dropIfExists('card_file');
    }
};
